---
updatedAt: 2026-09-26T02:51:07.000Z
agentTools:
  projectIndex: https://developers.dialpad.com/llms.txt
---

# Channel Event -- List

Gets a list of all the Channel event subscriptions of a company or of a target.

Rate limit: 1200 per minute.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "protos.channel_event_subscription.ChannelEventSubscriptionCollection": {
        "properties": {
          "cursor": {
            "description": "A token used to return the next page of a previous request. Use the cursor provided in the previous response.",
            "type": [
              "null",
              "string"
            ]
          },
          "items": {
            "description": "A list of channel event subscriptions.",
            "items": {
              "$ref": "#/components/schemas/protos.channel_event_subscription.ChannelEventSubscriptionProto",
              "type": "object"
            },
            "type": [
              "array",
              "null"
            ]
          }
        },
        "required": [
          "cursor",
          "items"
        ],
        "title": "Collection of channel event subscriptions.",
        "type": "object"
      },
      "protos.channel_event_subscription.ChannelEventSubscriptionProto": {
        "properties": {
          "direction": {
            "description": "The channel direction this event subscription subscribes to.",
            "enum": [
              "all",
              "inbound",
              "outbound",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "enabled": {
            "default": true,
            "description": "Whether or not the channel event subscription is enabled.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "id": {
            "description": "The event subscription's ID, which is generated after creating an event subscription successfully.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "target_id": {
            "description": "The ID of the specific target for which events should be sent.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "webhook": {
            "$ref": "#/components/schemas/protos.webhook.WebhookProto",
            "description": "The webhook's ID, which is generated after creating a webhook successfully.",
            "type": [
              "null",
              "object"
            ]
          },
          "websocket": {
            "$ref": "#/components/schemas/protos.websocket.WebsocketProto",
            "description": "The websocket's ID, which is generated after creating a websocket successfully.",
            "type": [
              "null",
              "object"
            ]
          }
        },
        "required": [
          "direction",
          "id",
          "target_id",
          "webhook",
          "websocket"
        ],
        "title": "Channel event subscription.",
        "type": "object"
      },
      "protos.signature.SignatureProto": {
        "properties": {
          "algo": {
            "description": "The hash algorithm used to compute the signature.",
            "type": [
              "null",
              "string"
            ]
          },
          "secret": {
            "description": "[single-line only]\n\nThe secret string that will be used to sign the payload.",
            "type": [
              "null",
              "string"
            ]
          },
          "type": {
            "description": "The signature token type.\n\n(i.e. `jwt`)",
            "type": [
              "null",
              "string"
            ]
          }
        },
        "title": "Signature settings.",
        "type": "object"
      },
      "protos.webhook.WebhookProto": {
        "properties": {
          "hook_url": {
            "description": "The webhook's URL. Triggered events will be sent to the url provided here.",
            "type": [
              "null",
              "string"
            ]
          },
          "id": {
            "description": "The webhook's ID, which is generated after creating a webhook successfully.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "signature": {
            "$ref": "#/components/schemas/protos.signature.SignatureProto",
            "description": "Webhook's signature containing the secret.",
            "type": [
              "null",
              "object"
            ]
          }
        },
        "title": "Webhook.",
        "type": "object"
      },
      "protos.websocket.WebsocketProto": {
        "properties": {
          "id": {
            "description": "The websocket's ID, which is generated after creating a websocket successfully.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "signature": {
            "$ref": "#/components/schemas/protos.signature.SignatureProto",
            "description": "Websocket's signature containing the secret.",
            "type": [
              "null",
              "object"
            ]
          },
          "websocket_url": {
            "description": "The websocket's URL. Users need to connect to this url to get event payloads via websocket.",
            "type": [
              "null",
              "string"
            ]
          }
        },
        "title": "Websocket.",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearer_token": {
        "description": "The API key can be put in the Authorization header.\ni.e. Authorization: Bearer <api_key>",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Dialpad's APIs for customer and third-party developer use",
    "title": "Dialpad",
    "version": "v2",
    "x-logo": {
      "altText": "Dialpad",
      "url": "https://storage.googleapis.com/dialpad_openapi_specs/logo.png"
    }
  },
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/subscriptions/channel": {
      "get": {
        "deprecated": false,
        "description": "Gets a list of all the Channel event subscriptions of a company or of a target.\n\nRate limit: 1200 per minute.",
        "operationId": "webhook_channel_event_subscription.list",
        "parameters": [
          {
            "description": "A token used to return the next page of a previous request. Use the cursor provided in the previous response.",
            "in": "query",
            "name": "cursor",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/protos.channel_event_subscription.ChannelEventSubscriptionCollection"
                }
              }
            },
            "description": "A successful response"
          }
        },
        "summary": "Channel Event -- List",
        "tags": [
          "subscriptions"
        ],
        "x-access": [
          "user"
        ],
        "x-ratelimit": [
          [
            20,
            1
          ]
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://dialpad.com"
    },
    {
      "url": "https://sandbox.dialpad.com"
    }
  ],
  "security": [
    {
      "bearer_token": []
    }
  ],
  "x-readme": {
    "apply-tag-changes": true,
    "explorer-enabled": true,
    "proxy-enabled": false
  }
}
```